package cn.com.countrygarden.bi.main.dto;

import cn.com.countrygarden.bi.main.model.personnel.Personnel;
import cn.com.countrygarden.bi.main.model.personnel.PersonnelTag;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * package: cn.com.countrygarden.bi.main.dto.personnel
 * describe:
 * creat_user: lsl
 * creat_date: 2018/7/10
 * creat_time: 17:29
 **/
@JsonInclude(JsonInclude.Include.NON_NULL)
public class personnelTagDTO extends Personnel implements Serializable {
	
private Integer id;
	
	private Integer personnelId;
    /**
     * 关联人员编号
     */	
    private String userId;   
    /**
     *  /**
     * 标签id
     */
    private Integer personneltagId;
    
    private String regionName;
    /**
     *  /**
     * 标签
     */
    private String identity;
    /**
     * 人才名称
     */ 	
    private String name;
    /**
     * 创建时间
     */
    @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
    private Date createdDate;
    /**
     * 创建人
     */ 	
    private String createdBy;
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
    private Date updatedDate;
    /**
     * 更新人
     */ 	
    private String updatedBy;
	

    List<PersonnelTag> tagsList;

    public List<PersonnelTag> getTagsList() {
        return tagsList;
    }

    public void setTagsList(List<PersonnelTag> list) {
        this.tagsList = list;
    }

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getPersonnelId() {
		return personnelId;
	}

	public void setPersonnelId(Integer personnelId) {
		this.personnelId = personnelId;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public Integer getPersonneltagId() {
		return personneltagId;
	}

	public void setPersonneltagId(Integer personneltagId) {
		this.personneltagId = personneltagId;
	}

	public String getRegionName() {
		return regionName;
	}

	public void setRegionName(String regionName) {
		this.regionName = regionName;
	}

	public String getIdentity() {
		return identity;
	}

	public void setIdentity(String identity) {
		this.identity = identity;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Date getCreatedDate() {
		return createdDate;
	}

	public void setCreatedDate(Date createdDate) {
		this.createdDate = createdDate;
	}

	public String getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(String createdBy) {
		this.createdBy = createdBy;
	}

	public Date getUpdatedDate() {
		return updatedDate;
	}

	public void setUpdatedDate(Date updatedDate) {
		this.updatedDate = updatedDate;
	}

	public String getUpdatedBy() {
		return updatedBy;
	}

	public void setUpdatedBy(String updatedBy) {
		this.updatedBy = updatedBy;
	}
    
    
}
